* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    color: white;
}

.main {
    width: 100vw;
    max-width: 340px;
    height: 740px;
    background-color: #5A287D;
    background-image: url(../img/plant.png);
    background-position: center bottom;
    background-repeat: no-repeat;
    background-size: contain;
    border-radius: 9px;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0 0 30px;
}

header {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    padding: 17px 17px 0;
    position: absolute;
    top: 0;
}

.header_icon {
    max-width: 52.6px;
}

header h1 {
    color: white;
    font-size: 38px;
    line-height: 43px;
    font-weight: bold;
    margin: 40px 0 0;
    text-align: center;
    position: relative;
    z-index: 1;
    font-family: 'JubilatBold';
    overflow: hidden;
}

header h1::before {
    position: absolute;
    content: '';
    width: 127px;
    height: 100%;
    background-image: url(../img/impact-tomorrow-underline.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    z-index: -1;
}

header h1::after {
    position: absolute;
    content: '';
    width: 100%;
    height: 100%;
    background-color: #5A287D;
    z-index: -1;
    left: 0;
    top: 0;
    animation: fadeInLeft3 both;
    animation-duration: 1.7s;
    animation-delay: .3s;
    display: inline-block;
}

header h1 .span1 {
    display: inline-block;
    animation: fadeInLeft1;
    animation-duration: 1s;
}

header h1 .span2 {
    display: inline-block;
    animation: fadeInLeft2;
    animation-duration: 1.2s;
}

@keyframes fadeInLeft1 {
    from {
        opacity: 0;
        -webkit-transform: translate3d(-10%, 0, 0);
        transform: translate3d(-10%, 0, 0);
    }

    to {
        opacity: 1;
        -webkit-transform: translateZ(0);
        transform: translateZ(0);
    }
}

@keyframes fadeInLeft2 {
    from {
        opacity: 0;
        -webkit-transform: translate3d(-50%, 0, 0);
        transform: translate3d(-50%, 0, 0);
    }

    to {
        opacity: 1;
        -webkit-transform: translateZ(0);
        transform: translateZ(0);
    }
}

@keyframes fadeInLeft3 {
    from {
        -webkit-transform: translate3d(0%, 0, 0);
        transform: translate3d(0%, 0, 0);
    }

    to {
        -webkit-transform: translate3d(70%, 0, 0);
        transform: translate3d(70%, 0, 0);
    }
}

.content {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.text {
    font-size: 13.5px;
    line-height: 18px;
    text-align: center;
    font-family: 'RN_House_Sans_Regular';
}

.btn_box {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    margin: 18px 0 0;
}

.btn_main {
    width: 93px;
    height: 61px;
    margin: 0 3px;
    position: relative;
    z-index: 1;
    font-size: 5px;
    line-height: 6px;
    color: white;
    padding: 13px 0 10px;
    text-decoration: none;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    background-color: #480F63;
    cursor: pointer;
    font-family: 'RN_House_Sans_Regular';
}

.btn_main:after,
.btn_main:before {
    content: '';
    position: absolute;
}

.btn_yellow:after,
.btn_yellow span:before {
    background: #FBBA20;
}

.btn_red:after,
.btn_red span:before {
    background: #CE3B57;
}

.btn_blue:after,
.btn_blue span:before {
    background: #1D7B8A;
}

.btn_main:after {
    width: 100%;
    height: 2px;
    left: 1px;
    bottom: 0;
    transform: translatey(100%) skewx(45deg);
    animation: borderBottom_animation 0.5s linear both;
    
}
.btn_yellow:after
{
  animation-delay: 1.8s;  
}
.btn_red:after
{
   animation-delay: 2s; 
}
.btn_blue:after
{
    animation-delay: 2.2s;
}

.btn_main span {
    transform: translatex(100%) skewy(45deg) rotate(270deg);
    position: absolute;
    top: 30.7px;
    right: 0px;
    width: 66%;
    height: 100%;
    display: block;
    box-sizing: border-box;
}

.btn_main span::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 2px;
    opacity: 0;
    animation: borderRight_animation 0.5s linear both;

}

.btn_yellow span:before {
    animation-delay: 2.3s;
}
.btn_red span:before
{
   animation-delay: 2.5s; 
}
.btn_blue span:before
{
   animation-delay: 2.7s; 
}

@keyframes borderBottom_animation {
    from {
        width: 0;
    }

    to {
        width: 100%;
    }
}

@keyframes borderRight_animation {
    0% {
        opacity: 0;
        transform: scaleX(0);
        transform-origin: left;
    }

    100% {
        opacity: 1;
        transform: scaleX(1);
        transform-origin: left;
    }


}

.recycleCard_icon {
    max-width: 34px;
}

.carrierCard_icon {
    max-width: 23px;
}

.bottle_icon {
    max-width: 53px;
}

footer {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    padding: 0px 6px 8px 11px;
    position: absolute;
    bottom: 0;
}

.recycling_icon {
    max-width: 57.2px;
    margin: 0 0 6px;
}

.footer_text {
    max-width: 143px;
}
